from django.http import HttpResponseRedirect
from django.core.urlresolvers import reverse
from django.shortcuts import render
from django.contrib.auth.decorators import login_required
from ldap import ncc


@login_required()
def grupos(request):
    ldap = ncc.LdapAdmin()
    grupos = ldap.listaGrupos()
    grupos = reversed(grupos)
    if request.method == 'POST':
        gruponovo = request.POST.get('group')
        res = ldap.adicionaGrupo(gruponovo)
        if res:
            sucesso = "Grupo " + gruponovo + " criado com sucesso"
        else:
            erro = "Erro ao criar grupo"
    return render(request, 'adm/grupos.html', locals())

@login_required()
def deletegroup(request, id):
    ldap = ncc.LdapAdmin()
    ldap.removeGrupo(id)
    return HttpResponseRedirect(reverse('adm_grupos'))