from django.db import models

# Create your models here.

class Post(models.Model):
    title = models.CharField(max_length=120)
    arquivo = models.FileField(null=True,blank=True)

    def __unicode__(self):
        return self.title

    def get_absolute_url(self):
        return reversed("post:detail", kwargs={"id":self.id})

class Maquinas(models.Model):
    id = models.IntegerField(u'Id',primary_key=True)
    servidor = models.CharField(
        u'Servidor',
        max_length=30,
    )
    subnet = models.CharField(
        u'Subnet',
        max_length=20,
    )
    texto = models.CharField(
        u'Texto',
        max_length=30,
    )
    ipfixo = models.CharField(
        u'Ipfixo',
        max_length=30,
    )
    nome = models.CharField(
        u'Nome',
        max_length=30,
    )
    ip = models.CharField(
        u'Ip',
        max_length=20,
    )
    mac = models.CharField(
        u'Mac',
        max_length=50,
    )
    sala = models.CharField(
        u'Sala',
        max_length=30,
    )
    responsavel = models.CharField(
        u'Responsavel',
        max_length=30,
    )
    alias = models.CharField(
        u'Alias',
        max_length=30,
    )

    def publish(self):
        self.save()

    def __unicode__(self):
        return '%s' % self.nome
